# Generated from rspec-advanced_subject-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rspec-advanced_subject

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: adding arguments to the subject
License: MIT
URL: https://github.com/kwstannard/rspec-advanced_subject
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
advanced_subject attempts to cut out having to explicitly write the subject of
your example group when trying to call methods or add arguments to methods. It
works by reading the conventional description syntax to determine what the
method you are calling is and later you state what you are passing to it.
Given you have a file advanced_subject_spec.rb.
```ruby
describe Hash do
when_initialized_with [:a, :b] do
it { should eq({a: :b}) }
describe '#fetch' do
when_passed :a do
it { should eq(:b) }
end
end
end
end
```
When you run `rspec -f d advanced_subject_spec.rb` it will output:
```
Hash
when initialized with [:a, :b]
should eq {:a => :b}
#fetch
when passed :a
should eq :b
```.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.4-1
- Initial package
